# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:upload) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Upload option for deployment.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  defaultto '1'

  to_translate_to_resource do |raw_resource|
    raw_resource['upload']
  end
end
