# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaultredeliverydelay, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-DESC
  The default redelivery delay

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('DefaultDeliveryParams/%<connection_factory_name>s/DefaultRedeliveryDelay')
end
