# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reconnectpolicy, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  Reconnect policy

  DESC

  newvalues('absent', 'none', 'producer', 'all')

  maps_to('ClientParams/%<connection_factory_name>s/ReconnectPolicy')

  data_type("Optional[Enum['absent', 'none','producer','all']]")
end
