# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messagelogging, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Message logging for JMS

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('MessageLoggingParams/%<queue_name>s/MessageLoggingEnabled')
end
