# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:deliverymode, :parent => Puppet::Parameter::WlsProperty) do
  desc 'deliverymode of the topic'

  newvalues('absent', 'No-Delivery', 'Persistent', 'Non-Persistent')

  maps_to('DeliveryParamsOverrides/%<topic_name>s/DeliveryMode')
  data_type("Optional[Enum['absent', 'No-Delivery', 'Persistent', 'Non-Persistent']]")
end
