# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:listenaddress, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::IPFQDN

  desc <<-DESC
    The listenaddress of the machine

  DESC

  data_type('Optional[String]')

  maps_to 'NodeManager/%<machine_name>s/ListenAddress'
end
