# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:force_remove) do
  desc <<-DESC
      Even if puppet "thinks" the patches are not installed, still use opatch to remove them.
      This parameter is *ONLY* used when applying a patch and
      not used when removing a patch.
  DESC

  defaultto false
  newvalues(true, false)
end
