# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:custom_identity_alias, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
    The custom identity alias.
  DESC

  maps_to('SSL/%<server_name>s/ServerPrivateKeyAlias')

  on_apply do
    apply_paths(value)
  end
end
