# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:machine, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The machine of the server.

  DESC

  maps_to 'Machine/'
end

child_of(:wls_machine, :machine) { "#{domain}/#{machine}" }
