# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:maxthreadsconstraint, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The max threads constraint name

  DESC

  maps_to('MaxThreadsConstraint/')

  on_apply do
    apply_paths_with_reference("/SelfTuning/#{resource.domain_name}/MaxThreadsConstraints", value)
  end
end
