# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shrinkfrequencyseconds, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
    Shrink Frequency Seconds.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/ShrinkFrequencySeconds')
end
