# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:remote_jndi_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The remote jndi name to use for the Foreign JNDI provider link

  DESC

  data_type('Optional[String[1]]')

  maps_to('RemoteJNDIName')
end
