# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:providerclassname) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  The provider classname

  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource['providerclassname']
  end
end
