# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  policy name of the Quota

  DESC

  newvalues('absent', 'FIFO', 'Preemptive')

  maps_to('Policy')

  data_type("Optional[Enum['absent', 'FIFO', 'Preemptive']]")
end
