# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:action) do
  include EasyType

  desc 'action to apply authorization policy on for a queue or topic'

  newvalues('send', 'receive', 'browse', 'all')

  to_translate_to_resource do |raw_resource|
    raw_resource['action']
  end
  data_type("Optional[Enum['send', 'receive', 'browse', 'all']]")
end
