# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:persistentstore, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The persistentstore name

  DESC

  maps_to('Store/')

  on_apply do
    apply_paths_with_reference("/#{resource[:persistentstoretype]}s", value)
  end
end
