# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_filename, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The log http file name of the server.

  DESC

  maps_to('WebServer/%<server_name>s/WebServerLog/%<server_name>s/FileName')
end
