# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_parameters, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
    The names of the components the server should be a target of.

  DESC

  # Please note that we (mis)use the note field in WebLogic for this.
  maps_to('Notes')
end
