# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:server_name) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  desc <<-DESC
  The server name

  DESC

  data_type('Optional[String[1]]')
end
