# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../../../../../easy_type/lib')
require 'easy_type'
require 'easy_type/array_property'
require 'easy_type/encrypted_property'
require 'puppet_x/enterprisemodules/weblogic/access'
require 'puppet_x/enterprisemodules/weblogic/settings'
require 'puppet_x/enterprisemodules/weblogic/title_parser'
require 'puppet_x/enterprisemodules/weblogic/tree'
require 'puppet_x/enterprisemodules/weblogic/type'
require 'puppet_x/enterprisemodules/weblogic/wls_property'
require 'puppet_x/enterprisemodules/weblogic/wls_hash_property'
require 'puppet_x/enterprisemodules/weblogic/wls_hash_tree_property'
require 'puppet_x/enterprisemodules/weblogic/wls_encrypted_property'
require 'facter'
#
# Ruby 1.8.7 misses the implemtation for formatting with a Hash as parameter.
# This include takes care of that
# TODO: When we stop supporting Ruby 1.8.7, remove this code
#
require 'puppet_x/enterprisemodules/string_formatter'
